Bug 79758 - sidebar elements appearing cropped when opened for the very first time
Summary: sidebar elements appearing cropped when opened for the very first time
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 86538 103650 104066 (view as bug list)
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2014-06-07 00:13 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-09-30 02:47 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
sidebar in 4.2.6 (55.23 KB, image/jpeg)
2014-06-07 00:13 UTC, Yousuf Philips (jay) (retired)
Details
sidebar in 4.4 (57.71 KB, image/jpeg)
2014-06-07 00:13 UTC, Yousuf Philips (jay) (retired)
Details
sidebar in 4.2.4 (98.01 KB, image/jpeg)
2014-06-07 04:38 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-07 00:13:29 UTC
Created attachment 100575 [details]
sidebar in 4.2.6

On Windows 7, i've noticed that when i first open the sidebar, a number of the elements are appearing cut off.
Comment 1 Yousuf Philips (jay) (retired) 2014-06-07 00:13:48 UTC
Created attachment 100576 [details]
sidebar in 4.4
Comment 2 tommy27 2014-06-07 04:38:04 UTC
Created attachment 100583 [details]
sidebar in 4.2.4

this is how the sidebar looks in 4.2.4.2 under Win7x64
it looks to me that there's some cut-off even in your 4.2.6 screenshot

however I tried with 4.4.0.0.alpha0+
Build ID: dacab84536f61f79a5422e1d8d394019ec62f3ec
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-04_04:27:18

I saw a cut-off identical to the 4.2.6 screenshot regarding the "spacing and indent" menus while I did not see the "font size" cutoff you displayed in the 4.4 screenshot

interesting thing is that after enlarging the sidebar and shrinking back to minimal width the cutoff disappeared and you could not reproduce it anymore even after closing and reloading LibO or disabling/hiding and re-enabling the sidebar.

so it looks to me that it's just "first time use" issues.
can you confirm that?

please also copy-&-paste your 4.4 build ID
Comment 3 tommy27 2014-06-07 04:39:26 UTC
I set status to NEW.
regarding version field I saw you put 4.3beta2
did you saw that issue even in 4.3.x or was a selection error? in that case the correct version would be 4.4alpha
Comment 4 Yousuf Philips (jay) (retired) 2014-06-07 10:08:23 UTC
Yes it only happens the first time you open it. Once its enlarge and then shrunk back, it is fine.

Version: 4.4.0.0.alpha0+
Build ID: b447687292334687a371b66d7ad56ba9662b898e
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-03_06:24:04

Yes the issue is in 4.3b2 as well, looking the same as the 4.4 screenshot sent. I put 4.3 beta 2 as i felt it needs to be fix in the upcoming release.
Comment 5 tommy27 2014-06-07 11:01:08 UTC
I reproduce the same "very first time" glitch with LibO 4.2.0.4 as well.
updating version field and summary notes.
Comment 6 QA Administrators 2015-06-08 14:41:20 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-06-21 16:54:00 UTC
Still an issue.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 8 Maxim Monastirsky 2015-08-14 11:05:28 UTC
*** Bug 86538 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2016-09-20 10:25:31 UTC Comment hidden (obsolete)
Comment 10 Yousuf Philips (jay) (retired) 2016-11-22 11:44:14 UTC
*** Bug 104066 has been marked as a duplicate of this bug. ***
Comment 11 Yousuf Philips (jay) (retired) 2017-09-24 22:55:42 UTC
*** Bug 103650 has been marked as a duplicate of this bug. ***
Comment 12 Thomas Lendo 2017-09-26 22:10:05 UTC
How should locales be handled that need more horizontal space for strings like mentioned in dupe bug 103650, see Attachment 128438 [details] and attachment 136498 [details]?
Comment 13 QA Administrators 2018-09-30 02:47:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug